introduction

Internet Tweak Help

for Windows XP/2000/Me/9X
© 1999 - 2003 Magellass Corp. All rights reserved
Top Next

About Internet Tweak
Internet Tweak is a special utility designed to configure and personalize Internet related settings in Windows XP/Me/2000/98/95. Starting from optimize Internet Connection performance (adjust NDI cache, IPMTU, RcvWindow, Time to Live, MaxMTU, Boost modem transfer speed, etc.), access Internet Explorer's hidden settings, access Outlook Express's hidden settings, access Netscape Communicator's hidden settings, to access general Internet settings in Windows XP/Me/2000/98/95. In addition, you will get many of selected Internet Tips & Tricks to boost your productivity.


basic operations

Basic Operations Previous Top Next
How to run
Click the Windows Start button, point to Programs folder, point to Internet Tweak folder, and then click Internet Tweak shortcut. When the splash screen appears on the screen, wait a moment and then click OK. Click one of toolbar buttons to start configuring the new settings.

How to read an option description
To read an option description, you must click your mouse to an option, and then read the description that appears on the screen.

How to apply a new setting
1. Point your mouse to the options you want to apply, read the short description that appears on the screen. Every time you click an option, the option text color will turn to white. This means that option will be executed when you click the Apply or OK buttons. 2. To cancel an option, just click that option once again so the text color return to black. At several options, such as changing IE and Outlook Express animation logo, changing background toolbar, etc., the text color are always remain white. This is a sign that you can change the old settings if you ever activate this option before. ]

How to change an option back to its default setting
To change an option setting back to its default, you must uncheck the check box until the option text color turn to red and then click Apply or OK. At several options, you need to restart Windows.

How to use OK, Cancel, and Apply buttons
OK Button , used to exit from Internet Tweak and apply the new settings. If the new settings needs you to restart Windows before they can work, a dialog box will appears on the screen and prompts you to restart Windows. However, on several options when you click this button Internet Tweak will automatically restart your Windows without any confirmation.
Cancel Button , used to exit from Internet Tweak without change anything on Windows settings, although you have checked several options. This is not valid if you have already clicked the Apply button.
Apply Button , used to execute the new settings without exit from Internet Tweak.

How to minimize, restore, and close Internet Tweak
To minimize Internet Tweak you can click icon at the top of application interface. To restore you can click Internet Tweak icon at Windows taskbar. Meanwhile, to close Internet Tweak you can click icon.


internet connection settings

Internet Connection Settings Previous Top Next
Internet Tweak will automatically detect whether you are using Windows 2000/XP//Me/98/95 operating system, and only the correct DUN (Dial-Up Networking) Performance tab can be activated (one of the tabs with telephone icon). The options that you can set are:

Change Maximum Transmission Unit (MaxMTU) for Windows 95
Information is transferred across the Internet as packets. Windows 95 default has a MaxMTU of 1500, it means that packets of 1500 bytes are sent every time. This 1500 bytes is actually the default for an Ethernet network (LAN) and not for the Internet (dial up networking/modems). Many routers used by ISPs have smaller value, e.g. 576, 512, or other values. If your ISP use 576, that means your 1500 byte packet is fragmented in 3 packets. With this fragmentation the overall speed goes down because it generates a lot of useless space (at the third packet). You can set the MaxMTU for Windows 95 to a value that gives the best out of your connection. Microsoft is recommending an MTU of 576 for connections under 128kbs, that's has been found to work well on many systems. The lowest setting should be 552, some terminal servers work well with 1002.

The MaxMTU value is actually limited by your ISP's MTU value, since all packets will be traveling through their servers. To determine the MTU of your ISP, try the following:

Open an MS DOS window and type

ping -f -l [packetsize] [www.yourisp.com]

[packetsize] is the amount of data you want to send (between 0 and 1500)
[www.yourisp.com] is your ISP's URL

The largest [packetsize] that does not give you the error "Packet needs to be fragmented, but DF set" will be your ISP's MTU - 28 (the IP [20 bytes] and ICMP [8 bytes] header).

For example, if the largest [packetsize] is 1472, the your ISP's MTU is 1472+28=1500

Change IPMTU for Windows 98/Me
Use this option to change the IPMTU (Internet Protocol MTU) setting for Windows 98/Me user. This setting has the same impact as change the MaxMTU for Windows 95 as described above.

Change MTU for Windows 2000/XP
Use this option to change the MTU setting for Windows 2000/XP user. Note: Windows 2000/XP will use a default value of 576 if your connection speed is less than 128k and if over 128k it will use 1500. Change on this setting has the same impact as change the MaxMTU for Windows 95 as described above.

Maximum Segment Size (MSS)
MSS or Maximum Segment Size, is the largest segment of TCP data that the Winsock is prepared to receive on a particular connection. If the MSS is too low, the data/header ratio will be low. And if the MSS is too high, the packets will tend to fragment if other networks have small MTU's. Performance can increase at times by reducing the MSS value. Internet Tweak has automatically set the MSS value to MTU-40.

Receive Window (RWIN)

RWIN determines how much data the receiving computer is prepared to receive. If the RWIN is too high, then this will result in greater data loss if the packet is lost or damaged in transit. If the RWIN is too low, then this will produce very poor throughput. As a standard, an RWIN value should be set 4 times the size of the Maximum Segment Size (MSS). You can try other settings, maybe 6x or 8x, to find the best possible RWIN value, especially when downloading large files or accessing web site with a lot of graphics.

Session Time To Live (TTL)
The Time To Live value is included in the header of a packet, and is used to determine how long the packet should 'live' before it giving up and deciding that the destination web site does not exist. The default value in Windows Me/9X is 32 and and for Windows NT 4.0/2000/XP it is 128. But since the Internet continues to grow, it may be necessary to increase this value in order to reach every computer.

MTU Auto Discovery
Setting this option causes TCP to discover the Maximum MTU (largest packet size) over the path to the destination site. By discovering the Path MTU and limiting the packets to this size, TCP can eliminate fragmentation at routers along the path with different MTU's. You can try to check or uncheck this option, to find out the best result.

Black Hole Detect
Setting this option will enable TCP to try to detect Black Hole routers while doing MTU auto discovery. This is also increase the maximum number of retransmissions performed for a given segment, and therefore may decrease overall performance. You can try to check or uncheck this option, to find out the best result.

More NDICache
Try to check this option to increase the Windows default NDICacheSize from 0 to an optimum value (16). This setting is for Windows Me/9X only.

Boost Modem Transfer Speed
This setting affects the time (in milliseconds) the Operating System processes a COM port interrupt. Default setting is 2, recommended setting is 1.

Disable SlowNet Parameter
You can try to disable slownet parameter for dial-up connections, to reduce timeouts. This setting is for Windows Me/98 only, and won't increase the performance significantly.

Session Keep Alive
Specifies how often to send session keep-alive packets on active sessions. The minimum is one minute, the default is one hour in Windows Me/9X and two hours in Windows 2000/XP. Recommended setting is 10 minutes. It should be used when your ISP frequently disconnects you during short idle periods, such as a pause in web surfing to read the content of an interesting site.

Speed Up Internet Searches
When you go to a web site, the first thing that happens is that a query goes out to the DNS server for IP address of the web site. In order to eliminate this query, you can simply add the IP address and web name into the HOSTS file in the Windows directory.

To find the IP address, just open the MS DOS prompt, type
PING the web name (for example: ping www.microsoft.com)
So, to visit Microsoft site faster, you can type the following in the Speed Up Internet Search option:

IP addres: 207.46.130.149
Web name: www.microsoft.com

Press OK and Internet Tweak will insert it into the HOSTS file. You can do this for all the sites you regularly visit. For more description and sample, you can open the hosts.sam file inside Windows directory.


creating animation logo

Creating Animation Logo Previous Top Next
You can perform these steps to create logo animation:

1. Use your bitmap editor application to create an empty bitmap file. For large logo, use 38 pixels width and (38 x F) pixels height. For small logo use 22 pixels width and (22 x F) pixels height. "F" is amount of frame you want to create. Example, if you want to create large logo with 20 frames, then create 38 x 760 pixels bitmap file.

2. Use your bitmap editor application to create animation frames. For large logo, use 38 pixels width and 38 pixels height. For small logo, use 22 pixels width and 22 pixels height. Amounts of bitmap files you have to create depends on how many frames you want to use. Create frames as many as you want, and then place one by one in the empty bitmap file. See the picture above. NOTE: The first frame will be used as bitmap logo when IE or Outlook Express in the off-line mode.
3. Save the bitmap animation you have created, and then use Internet Tweak to replace IE or OE logo with your own creation.


faq & troubleshooting

FAQ & Troubleshooting Previous Top Next
Q: Why Internet Tweak's interface looks ugly on my computer monitor?
A: To get the best appearance of Internet Tweak's interface, use a high-color or true-color color palette. To do so, open Windows's Control Panel, and then click on the Display icon. Click on Settings tab, from the Color Palette drop down list select High-Color or True-Color, click OK, and then restart your Windows.

Q: How to restore all settings back to default?
A: To restore all settings that you have made back to the default factory settings, click the Preferences button on the toolbar and then check Back to Default Settings option. Click the Default button, click Yes, click OK, and then restart your computer. This option useful if you want to completely uninstall Internet Tweak or there is a conflict between your system and Internet Tweak.


license fee

License Fee Previous Top Next
The license fee for a single copy of Internet Tweak is US$ 20. A Site License costs US$ 295.00 and covers all locations for your organization within a 160-kilometer radius of your site (100 miles). One big advantage of a Site License is that you do not need to keep track of how many people at your site are using the software. A World Wide License costs US$ 995.00 and it covers all locations for your organization on the Planet Earth.

How to Order
We use KAGI service to process your order. KAGI makes it easy for people to pay for products obtained through the Internet. Following a list of paying methods currently accepted: VISA, Master Card, American Express, Discover (Novus), Dinner, JCB, First Virtual, Cash, Money Order, and Check. You can order via KAGI as follows:
KAGI offers you to order via the Internet by a so-called Secure Connection. Using this method, you can pay with credit cards (VISA, Master Card, American Express, Discover (Novus), Dinner, JCB). To place your order online now, visit:
http://www.winboost.com/order.html


contact us

Comments and Suggestions Previous Top Next
Send your comments, suggestions, bug reports, problem with registration code/payment, etc to support@magellass.com

Latest News
For the latest news, information of other products, and the future version of InternetTweak, feel free to visit our homepage at http://www.magellass.com and subscribe to our update news.


other products

Other Products Previous Top Next
WinBoost
WinBoost has been widely used by people around the world in more than 100 countries and recommended by many reviewers and top computer magazines such as PC Computing, Computer Shopper, InfoWorld, Maximum PC and Windows Magazine. Use this powerful tool to configure hundreds of Windows hidden settings, for examples: optimize CD-ROM/DVD-ROM cache, rename and hide Start Menu items, how to play cheat in MS-Hearts games, etc. All are things that you cannot do on the regular operations. In addition, you will get hundreds of selected Windows Tips & Tricks to boost Windows performance and productivity. Wait no more and download it from our site http://www.magellass.com or http://www.winboost.com.

MemMonster
MemMonster for is a special utility designed to monitor and recover your available physical memory. Using a single click mouse you can dramatically increase your current available physical memory. You can set the application to activate automatically recover if your memory has reached low level value.. Download it from our site http://www.magellass.com or http://www.memmonster.com

WinBrush
WinBrush for Windows Me/98/95/NT/2000/XP is a special utility designed to clean up your hard disk from any garbage/unneeded files, it will also protect your privacy by clean sweep all tracks, history, recently used document list, etc. Download it from our site at http://www.magellass.com or http://www.winbrush.com